Package org.gradle.tooling.model.cpp

## Interface SourceFile

-     public interface SourceFile

  Provides details about a particular source file.
  Since:
    4.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getObjectFile()` | Returns the object file produced for the source file.
    `java.io.File` | `getSourceFile()` | Returns the source file.

- - ### Method Detail

    - #### getSourceFile

          java.io.File getSourceFile()

      Returns the source file.

    - #### getObjectFile

          java.io.File getObjectFile()

      Returns the object file produced for the source file.